Package com.complexible.stardog.api.admin.pack

# Interface ClusterAdminConnection

All Superinterfaces:
  `AdminConnection`, `AutoCloseable`

public interface ClusterAdminConnection extends AdminConnection

Public `AdminConnection` for cluster/pack functions.

Since:
  4.0
Version:
  4.0
Author:
  Edgar Rodriguez-Diaz

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.stardog.api.admin.AdminConnection

  `AdminConnection.StreamConsumer, AdminConnection.TxLogRange`

- ## Field Summary

  ### Fields inherited from interface com.complexible.stardog.api.admin.AdminConnection

  `NO_TIMEOUT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `attemptSync()`
  `default List<ClusterNodeStatus>`
  `currentPackStatus()`
  Deprecated.
  Use `currentPackStatus(Options)` instead
  `List<ClusterNodeStatus>`
  `currentPackStatus(Options theOptions)`
  Return the `server status information` from each node in the cluster.
  `File`
  `generateClusterDiagnosticReport(com.complexible.stardog.util.report.DiagnosticsReport theDiagnosticsReport)`
  `List<String>`
  `getNodes()`
  `Set<String>`
  `listStandbyMembers()`
  `String`
  `readOnlyStart()`
  `String`
  `readOnlyStop()`
  `void`
  `removeStandbyMember(String theMemberId)`
  `String`
  `repairZk()`
  `void`
  `setPause(boolean thePause)`
  `void`
  `shutdownAll()`
  `StandbyNodeState`
  `standbyState()`
  `StandbyNodeStatus`
  `standbyStatus()`

  ### Methods inherited from interface com.complexible.stardog.api.admin.AdminConnection

  `as, backup, backup, backup, backup, backupAll, builder, checkpoint, close, currentStatus, currentStatus, disk, drop, generateDiagnosticReport, get, get, getLogs, getPermissionManager, getProcessManager, getProperty, getQueryManager, getRoleManager, getStoredFunctions, getStoredQueries, getTokenManager, getUserManager, isOpen, list, newDatabase, offline, offline, online, optimize, optimize, renameDatabase, repair, replayTransactionLog, restore, restore, set, setProperty, shutdown, transactionLog, verify, whoami`

- ## Method Details

  - ### getNodes

    List<String> getNodes() throws StardogException
    Throws:
      `StardogException`

  - ### shutdownAll

    void shutdownAll() throws StardogException
    Throws:
      `StardogException`

  - ### currentPackStatus

    @Deprecated default List<ClusterNodeStatus> currentPackStatus() throws StardogException
    Deprecated.
    Use `currentPackStatus(Options)` instead
    Throws:
      `StardogException`

  - ### currentPackStatus

    List<ClusterNodeStatus> currentPackStatus(Options theOptions) throws StardogException
    Return the `server status information` from each node in the cluster. `options` can be used to configure which metrics will be included in the results.
    Parameters:
      `theOptions` - the options for customizing the metrics that will be returned
    Returns:
      the list of metrics showing the server status for each node
    Throws:
      `StardogException` - if there was an error retrieving the status
    See Also:
      - `MetricOptions`

  - ### standbyState

    StandbyNodeState standbyState() throws StardogException
    Throws:
      `StardogException`

  - ### standbyStatus

    StandbyNodeStatus standbyStatus() throws StardogException
    Throws:
      `StardogException`

  - ### setPause

    void setPause(boolean thePause) throws StardogException
    Throws:
      `StardogException`

  - ### removeStandbyMember

    void removeStandbyMember(String theMemberId)

  - ### listStandbyMembers

    Set<String> listStandbyMembers()

  - ### generateClusterDiagnosticReport

    File generateClusterDiagnosticReport(com.complexible.stardog.util.report.DiagnosticsReport theDiagnosticsReport)

  - ### readOnlyStart

    String readOnlyStart()

  - ### readOnlyStop

    String readOnlyStop()

  - ### attemptSync

    String attemptSync() throws StardogException
    Throws:
      `StardogException`

  - ### repairZk

    String repairZk()